/*********************************************************************

 Author        : ADI - Apps            www.analog.com/MicroConverter

 Date          : Sep. 2006

 File          : slave.c

 Hardware      : Applicable to ADuC703x

 Description   : SPI slave is to use with master.c or master1.c
 				 the slaves receives values from the master and
				 keeps transmitting '0x61' as it is the default value at reset.
		
*********************************************************************/
#include<ADuC7033.h>


int main(void) 
{
int i;	

GP0CON = 0x1111;					// configure GPIO on SPI 
SPICON = 0x1409;					// enable SPI slave mode

while (1) 							// loop back function
	{
 	while (!(SPISTA & 0x08)) ; 		// wait for data in the RX MMR
	i=SPIRX;						// read data and clear bit 4 of SPISTA
	SPITX = 0x61;				  	// transmit command or any dummy data
 	while ((SPISTA & 0x02) != 0x02);// wait for data received status bit
	}			
}
